Subject: bug#14186: take code from stdin with the flag -

From: "Arne Babenhauserheide (IMK)" <[email-masked]>
Date: Thu, 11 Apr 2013 18:27:22 +0200

Dear Guile Hackers,

It would be great if guile could execute code passed via pipe from stdin
when it got the flag -.

Currently I can emulate this on Linux via

    echo "(display 1)(newline)" | guile -s /dev/stdin

But that is not cross-platform. What I had expected to work is

    echo "(display 1)(newline)" | guile -

I know the flag - (a bare hyphen) as the conventional way to do this, so
that’s what I propose for guile, too.

Best wishes,
Arne
-- 
Doktorand
Gruppe: GHG

Raum: 435/410
Tel.: +49 721 608-22885
[email-masked]

Karlsruher Institut für Technologie
IMK-ASF
Postfach 36 40
76021 Karlsruhe